using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Dvb.DataBroadcasting.Biop;

namespace skyscraper5.Dvb.DataBroadcasting.SkyscraperVfs
{
    public class VfsDirectory : VfsBase
    {
        public VfsDirectory()
        {
            files = new List<VfsFile>();
            subdirectories = new List<VfsDirectory>();
            events = new List<VfsEvent>();
        }

        public List<VfsFile> files;
        public List<VfsDirectory> subdirectories;
        public List<VfsEvent> events;

        public bool ContainsVfsEntries
        {
            get
            {
                if (files.Count > 0)
                    return true;
                if (subdirectories.Count > 0)
                    return true;
                if (events.Count > 0)
                    return true;
                return false;
            }
        }
    }
}
